<?php
/**
 * Range
 *
 * Range input
 *
 * @since   7.6
 *
 * @package WPrequal
 */

namespace WPrequal;

if ( ! defined( 'ABSPATH' ) ) {
	die( 'Access denied!!' );
}

$args['randID'] = $randID = 'range-' . wp_rand( 1, 99999 );
$class = isset( $class ) ? $class : ''; ?>

<div class="wpq-col <?php echo esc_attr( $class ); ?> range-wrap">

	<?php view( 'contact/form', 'output', $args ); ?>

	<input
		id="<?php echo esc_attr( $randID ); ?>"
		type="range"
		name="lead[fields][<?php echo esc_attr( $key ); ?>]"
		class="<?php required_class( $required ); ?> range-input wpq-input"
		min="<?php echo esc_attr( $min ); ?>"
		max="<?php echo esc_attr( $max ); ?>"
		step="<?php echo esc_attr( $step ); ?>"
		value="<?php echo esc_attr( $default ); ?>"
		aria-label="<?php echo esc_attr( $label ); ?>"
	/>
</div>
